<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html"/>
  <xsl:strip-space elements="*"/>

  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="channel">
    <html>
    <head>
    <title><xsl:value-of select="title"/></title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <style type="text/css">span.unreaditem
{
	background-position: left center;
	background-repeat: no-repeat;
	vertical-align: top;
	width: 17px;
	height: 11px;
}
span.unreaditem a
{
	text-decoration: none;
}
span.readitem
{
	background-position: left center;
	background-repeat: no-repeat;
	vertical-align: top;
	width: 17px;
	height: 11px;
}
span.readitem a
{
	text-decoration: none;
}
span.noLabel, a.noLabel, a.withLabel
{
	text-decoration: underline;
	color: gray;
	cursor: pointer;
}
a.withLabel
{
	padding-left: 15px;
	background-position: left center;
	background-repeat: no-repeat;
}
div.rss_podurl
{
	background-position: left center;
	vertical-align: top;
	background-repeat: no-repeat;
	width: 47px;
	height: 22px;
	cursor: pointer;
}
a.rss_podurl
{
	text-decoration: none;
}

body
{
	padding-right: 10px;
	padding-left: 10px;
	padding-bottom: 10px;
	margin: 0px;
	padding-top: 10px;
	background-color: pink;
}

div.rss_pager
{
	clear: both;
	font-size: 10px;
	font-family: 'Arial Black' , Arial;
	text-align: right;
	margin: 10px;
}
span.rss_pagenumber
{
	padding-right: 2px;
	padding-left: 2px;
	color: white;
	background-color: gray;
}
a.rss_pagerlink
{
	color: blue;
}
img {
	border: 0px;
	max-width: 100%;
}

div.rss_channeltitle
{
	clear: both;
	border-top: #333 1px solid;
	font-weight: bold;
	font-size: 24px;
	padding-bottom: 2px;
	margin: 10px;
	padding-top: 2px;
	border-bottom: #333 1px solid;
	font-family: Georgia, serif, 'Times New Roman';
	background-color: pink;
}
div.rss_channeltitle a
{
	color: black;
	text-decoration: none;
}
div.rss_channeltitle a:hover
{
	text-decoration: underline;
}
                               
div.rss_channeldesc
{
	font-weight: normal;
	font-size: 14px;
	margin: 10px;
}
                
div.rss_channelimage
{
	margin: 10px;
	text-align: left;
}




div.rss_story,div.rss_stories
{
	border-top: #999 1px solid;
	margin: 10px;
	vertical-align: top;
	overflow: visible;
	width: 98%;
	padding: 4px;
}

                
div.rss_storytitle
{
	clear: both;
	font-weight: bold;
	font-size: 14px;
	margin-bottom: 0px;
	font-family: Arial, sans-serif;
}

a.rss_storytitle
{
	text-decoration: none;
}
a.rss_storytitleread
{
	text-decoration: none;
	color:#60358A;
	font-weight: bold;
}
a.rss_storytitle:hover
{
	text-decoration: underline;
}
div.rss_storydetails,td
{
	clear: both;
	font-size: 12px;
	color: #333;
	font-family: Tahoma, Verdana, Arial, sans-serif;
}
                          
div.rss_storyfooter
{
	margin-top: 0px;
	margin-bottom: 0px;
	font-size: 11px;
	font-family: Verdana, Arial, sans-serif;
	text-align: right;
}

span.rss_publishtime, span.noLabel, span.withLabel
{
	color: gray;
	text-align: right;
}


div.comment
{
	margin-top: 15px;
	font-size: 11px;
	font-family: Verdana, Arial, sans-serif;
}

div.comment p
{
	margin: 1px;
}

span.commentTime
{
	color: white;
	border-bottom: 1px solid;
	background-color: gray;
	margin: 1px 10px 1px 1px;
}
</style>
    </head>
      <body>
      
      <div class="rss_channeltitle"><div class="rss_channeltitletext"><a href='{xmlUrl}'>
      <xsl:value-of select="title"/>
      </a></div></div>

        <xsl:for-each select="item">      
        <div class='rss_stories rss_readitem' style=''> 
        <div class='rss_storytitle'>
        <xsl:if test="isRead!='true' and isViewed!='true'">
   		<a href='{link}' target="_blank" class='rss_storytitle'>
      			<xsl:value-of select="title"/>
    	</a>
    	</xsl:if>
    	<xsl:if test="isRead='true' or isViewed='true'">
   		<a href='{link}' target="_blank" class='rss_storytitleread'>
      			<xsl:value-of select="title"/>
    	</a>
    	</xsl:if>
    	</div>
    	
    	<div class='rss_storyfooter'>
        	<span class='rss_publishtime'>
        	<xsl:if test="pubDate!=''"><xsl:value-of select="pubDate"/></xsl:if>
        	<xsl:if test="pubDate=''"><xsl:value-of select="fDate"/></xsl:if>
        	</span>
        </div>
        
    	<div class='rss_storydetails'><P>
        	<xsl:value-of select="description" disable-output-escaping="yes"/>
        </P></div>
        


        </div>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>